#
# spec file for package IccXML
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2011-2014 Kai-Uwe Behrmann
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           IccXML
Version:        0.9.8
Release:        3.4
Source:         %{name}-%{version}.tar.gz
Summary:        Color Management XML tools
License:        BSD-3-Clause
Group:          Development/Libraries/Other

Url:            http://sourceforge.net/projects/iccxml/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  gcc-c++
BuildRequires:  libSampleICC-devel
BuildRequires:  libSampleICC1
BuildRequires:  libxml2-devel
BuildRequires:  pkgconfig

%package -n lib%{name}2
Summary:        Colour Management Libraries
Group:          Development/Libraries/Other

%package      -n lib%{name}-devel
Summary:        Headers, Configuration and static Libs + Documentation
Group:          Development/Libraries/Other
Requires:       lib%{name}2 = %{version}

%description
Tools to read convert ICC profiles to and from XML files

%description -n lib%{name}2
IccLibXML library acts as an extension of SampleICC's IccProfLib.
This extension provides inherited classes for the classes in IccProfLib
that provide additional I/O routines to read and write the classes as
XML files

%description -n lib%{name}-devel
Header files, libraries and documentation for development of Color Management
applications.


%prep
%setup -n %{name}-%{version}

%build
%configure

%install
make %{_smp_mflags}
make DESTDIR=%{buildroot} install
rm  %{buildroot}/%{_libdir}/lib*.la

%post -n lib%{name}2 -p /sbin/ldconfig

%postun -n lib%{name}2 -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/*

%files -n lib%{name}2
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README
%doc XMLSchema/SampleIccRELAX.rng XMLSchema/SampleIccRELAX.rnc
%{_libdir}/lib%{name}.so.*

%files -n lib%{name}-devel
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/lib%{name}.so
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/iccxml.pc
%{_libdir}/lib%{name}.a

%changelog
* Wed Sep  3 2014 ku.b@gmx.de
- update to 0.9.8
* Wed May  9 2012 ku.b@gmx.de
- omit temp file removal during package build
* Mon Mar  5 2012 ku.b@gmx.de
- packaging fixes
* Thu Jan 19 2012 ku.b@gmx.de
- update to 0.9.6
- add changes file
- bump library version
* Wed Dec  1 2010 ku.b@gmx.de
- add XMLSchema
* Fri Sep  3 2010 ku.b@gmx.de
- initial specfile'ification
